zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Abraham Fine <af...@apache.org>
Subject Re: Stable version for SSL/TLS support
Date Mon, 05 Feb 2018 19:50:54 GMT
Hi Makarand-

There are no currently stable versions of ZooKeeper that support SSL and I cannot comment
as to when they will be available. 

To the best of my knowledge there is no ongoing effort to backport TLS support to 3.4.

Thanks,
Abe

On Wed, Jan 24, 2018, at 01:43, Andor Molnar wrote:
> Hi Makarand,
> 
> Afaik there's an ongoing effort to backport TLS support to version 3.4
> which is currently the stable branch of Zookeeper. Abe Fine can comment on
> the progress I believe.
> As you said 3.5 and 3.6 version are still in alpha and not recommended for
> production usage. There's no ETA yet of getting them stable.
> 
> Regards,
> Andor
> 
> 
> 
> On Wed, Jan 24, 2018 at 9:52 AM, Makarand Manohar Sarmalkar Manohar
> Sarmalkar <msarmalkar@mobiquityinc.com> wrote:
> 
> > Hello,
> >
> > We want to enable SSL/TLS communication for Kafka and Zookeeper.
> > For Zookeeper, I found a JIRA ticket "https://issues.apache.org/
> > jira/browse/ZOOKEEPER-2125 <https://issues.apache.org/
> > jira/browse/ZOOKEEPER-2125>" which has fix version as 3.5.1, 3.6.0. which
> > apparently means SSL is enabled in 3.5.1 version. but versions 3.5.1 and
> > above are alpha and beta. ( can not use in production )
> >
> > So can you please help me with the version which is stable and supports
> > SSL/TLS communication?
> > In case, there is no stable version yet, Will there be any stable release
> > available in coming weeks?
> >
> >
> > --
> > Thanks & Regards
> > Makarand Sarmalkar
> >
> >
> >
> >

Mime
View raw message